<template>
  <div class="box-apexcharts">
    <div class="mx-4 mt-1 pt-2">
      <p>{{ title }}</p>
    </div>
    <apexcharts
      type="line"
      height="350"
      width="800"
      :options="options"
      :series="series"
    ></apexcharts>
  </div>
</template>

<script>
import VueApexCharts from "vue-apexcharts";

export default {
  name: "Apex",
  props: {
    title: {
      type: String,
      default: null,
    },
    series: {
      type: Array,
      default: () => [],
    },
    options: {
      type: Object,
      default: () => {},
    },
  },
  components: {
    apexcharts: VueApexCharts,
  },
  data: function () {
    return {
      chartOptions: {
        chart: {
          width: 850,
          height: 350,
          stacked: true,
        },
        plotOptions: {
          bar: {
            horizontal: true,
          },
        },
        stroke: {
          width: 0,
          colors: ["#fff"],
          curve: "smooth",
          lineCap: "round",
          dashArray: 0,
        },
        title: {
          text: "Resumen Presupuesto",
        },
        xaxis: {
          categories: [""],
          labels: {
            formatter: function (val) {
              return val;
            },
          },
        },
        yaxis: {
          title: {
            text: undefined,
          },
        },
        tooltip: {
          y: {
            formatter: function (val) {
              return "MM$" + val;
            },
          },
        },
        fill: {
          opacity: 1,
        },
        legend: {
          position: "right",
          horizontalAlign: "left",
          offsetX: 0,
          offsetY: 40,
        },
      },
    };
  },
  methods: {
    updateChart() {
      this.chartOptions = {
        xaxis: {
          categories: this.labels,
        },
      };
      this.series.push({
        name: "Presupuesto",
        data: this.datasets[0].data,
      });
    },
  },
  mounted() {
    // this.updateChart();
  },
};
</script>
<style scoped>
.box-apexcharts {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 400px;
  width: 100%;
}
</style>
